SoTextureCoordinate3(3)

NAME
SoTextureCoordinate3 - The SoTextureCoordinate3 class contains a set of coordinates for the mapping of 2D textures.

SYNOPSIS

#include <Inventor/nodes/SoTextureCoordinate3.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureCoordinate3 (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFVec3f point

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureCoordinate3 ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureCoordinate3 class contains a set of coordinates for the mapping of 2D textures. When encountering a node of this type during traversal, the coordinates it contains will be put on the state stack. Some shape nodes can then use these coordinates for explicit, detailed control of how 3D textures are mapped.

(If 3D textures are used without any SoTextureCoordinate3 nodes in the scene graph leading up to a shape node, the shape types have default fallbacks. So SoTextureCoordinate3 nodes are only necessary to use if you are not satisfied with the default mapping.)

Note that an SoTextureCoordinate3 node will replace the coordinates already present in the state (if any).

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
 FILE FORMAT/DEFAULTS:

TextureCoordinate3 {
    point [  ]
}

See also
    SoTextureCoordinate2

Since
    Coin 2.0

    TGS Inventor 2.6

Constructor & Destructor Documentation

  SoTextureCoordinate3::SoTextureCoordinate3 (void)
Constructor.

  SoTextureCoordinate3::~SoTextureCoordinate3 () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureCoordinate3::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureCoordinate3::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTextureCoordinate3::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureCoordinate3::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTextureCoordinate3::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureCoordinate3::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureCoordinate3::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoTextureCoordinate3::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoMFVec3f SoTextureCoordinate3::point
The set of 3D texture coordinates. Default value of field is an empty set.

Texture coordinates are usually specified in normalized coordinates, i.e. in the range [0, 1]. Coordinates outside the [0, 1] range can be used to repeat the texture across a surface.

See also
    SoTexture3::wrapR, SoTexture3::wrapS, SoTexture3::wrapT

Author

Generated automatically by Doxygen for Coin from the source code.